import pathlib

from setuptools import find_namespace_packages, setup

# The directory containing this file
HERE = pathlib.Path(__file__).parent


def get_requirements():
    """Build the requirements list for this project"""
    requirements_list = []
    with open(HERE / 'ipc' / 'validator' / 'requirements.txt') as reqs:
        for install in reqs:
            requirements_list.append(install.strip())
    return requirements_list


def get_packages_requirements():
    """Build the package & requirements list for this project"""
    reqs = get_requirements()
    packs = find_namespace_packages(include=['ipc', 'ipc.*', 'settings.py'])
    return packs, reqs


packages, requirements = get_packages_requirements()

setup(
    name='polly-ipc',
    version='0.0.73',
    description='Wrapper for data ingestion and curation APIs',
    author='Shubhra',
    author_email='shubhra.agrawal@elucidata.io',
    packages=packages,
    include_package_data=True,
    install_requires=requirements
)
